﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ExcelDummy;

namespace IDisposableSample2
{
	class Program2
	{
		static void Main( string[] args )
		{
			ExcelApp excel = null;
			BookCollection books = null;
			Book book = null;
			SheetCollection sheets = null;
			Sheet sheet = null;
			Range range = null;

			try
			{
				excel = new ExcelApp();
				books = excel.Books;
				book = books.Open( "Book1.xls" );
				sheets = book.Sheets;
				sheet = sheets[ 1 ];
				range = sheet[ 1, 1 ];

				Console.WriteLine( "-->" + range.Value );
			}
			catch( System.Exception ex )
			{
				Console.WriteLine( "Exception: " + ex.Message );
			}
			finally
			{
				if( range != null ) { range.Dispose(); }
				if( sheet != null ) { sheet.Dispose(); }
				if( book != null ) { book.Dispose(); }
				if( books != null ) { books.Dispose(); }
				if( excel != null ) { excel.Dispose(); }
			}
		}
	}
}
