﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ExcelDummy;

namespace IDisposableSample1
{
	class Program1
	{
		static void Main( string[] args )
		{
			try
			{
				ExcelApp excel = new ExcelApp();
				BookCollection books = excel.Books;
				Book book = books.Open( null );
				SheetCollection sheets = book.Sheets;
				Sheet sheet = sheets[ 1 ];
				Range range = sheet[ 1, 1 ];

				Console.WriteLine( "-->" + range.Value );

				range.Dispose();
				sheet.Dispose();
				book.Dispose();
				books.Dispose();
				excel.Dispose();
			}
			catch( Exception ex )
			{
				Console.WriteLine( "Exception: " + ex.Message );
			}
		}
	}
}
